:root {
    --primer: #54B77A;
    --sekunder: #c4c4c4
}

/* ============Footer=========== */

.footer-clean {
  padding: 30px 0;
  background-color: #fff;
  color: #4b4c4d;
}

.footer-clean h3 {
  margin-top: 0;
  margin-bottom: 12px;
  font-weight: bold;
  font-size: 16px;
}

.footer-clean ul {
  padding: 0;
  list-style: none;
  line-height: 1.6;
  font-size: 14px;
  margin-bottom: 0;
}

.footer-clean ul a {
  color: inherit;
  text-decoration: none;
  opacity: 0.8;
}

.footer-clean ul a:hover {
  opacity: 1;
}

.footer-clean .item.social {
  text-align: right;
}

@media (max-width:767px) {
  .footer-clean .item {
    text-align: center;
    padding-bottom: 20px;
  }
}

@media (max-width: 768px) {
  .footer-clean .item.social {
    text-align: center;
  }
}

.footer-clean .item.social > a {
  font-size: 24px;
  width: 40px;
  height: 40px;
  line-height: 40px;
  display: inline-block;
  text-align: center;
  border-radius: 50%;
  border: 1px solid #ccc;
  margin-left: 10px;
  margin-top: 22px;
  color: inherit;
  opacity: 0.75;
}

.footer-clean .item.social > a:hover {
  opacity: 0.9;
}

@media (max-width:991px) {
  .footer-clean .item.social > a {
    margin-top: 40px;
  }
}

@media (max-width:767px) {
  .footer-clean .item.social > a {
    margin-top: 10px;
  }
}

.footer-clean .copyright {
  margin-top: 14px;
  margin-bottom: 0;
  font-size: 13px;
  opacity: 0.6;
}

/* ============Header Blue=========== */

.header-blue {
  /*background: linear-gradient(135deg, #172a74, #21a9af);*/
  background-color: #ebf4ff;
  padding-bottom: 80px;
  font-family: 'Source Sans Pro', sans-serif;
}

@media (min-width:768px) {
  .header-blue {
    padding-bottom: 120px;
  }
}

.header-blue .navbar {
  background: transparent;
  padding-top: .75rem;
  padding-bottom: .75rem;
  color: #fff;
  border-radius: 0;
  box-shadow: none;
  border: none;
}

@media (min-width:768px) {
  .header-blue .navbar {
    padding-top: 1rem;
    padding-bottom: 1rem;
  }
}

.header-blue .navbar .navbar-brand {
  font-weight: bold;
  color: inherit;
}

.header-blue .navbar .navbar-brand:hover {
  color: #f0f0f0;
}

.header-blue .navbar .navbar-collapse {
  border-top: 1px solid rgba(255,255,255,0.3);
  margin-top: .5rem;
}

@media (min-width:768px) {
  .header-blue .navbar .navbar-collapse {
    border-color: transparent;
    margin: 0;
  }
}

.header-blue .navbar .navbar-collapse span .login {
  color: #d9d9d9;
  margin-right: .5rem;
  text-decoration: none;
}

.header-blue .navbar .navbar-collapse span .login:hover {
  color: #fff;
}

.header-blue .navbar .navbar-toggler {
  border-color: rgba(255,255,255,0.3);
}

.header-blue .navbar .navbar-toggler:hover, .header-blue .navbar-toggler:focus {
  background: none;
}

@media (min-width: 768px) {
  .header-blue .navbar-nav .nav-link {
    padding-left: .7rem;
    padding-right: .7rem;
  }
}

@media (min-width: 992px) {
  .header-blue .navbar-nav .nav-link {
    padding-left: 1.2rem;
    padding-right: 1.2rem;
  }
}

.header-blue .navbar.navbar-light .navbar-nav .nav-link {
  color: #d9d9d9;
}

.header-blue .navbar.navbar-light .navbar-nav .nav-link:focus, .header-blue .navbar.navbar-light .navbar-nav .nav-link:hover {
  color: #fcfeff !important;
  background-color: transparent;
}

.header-blue .navbar .navbar-nav > li > .dropdown-menu {
  margin-top: -5px;
  box-shadow: 0 4px 8px rgba(0,0,0,.1);
  background-color: #fff;
  border-radius: 2px;
}

.header-blue .navbar .dropdown-menu .dropdown-item:focus, .header-blue .navbar .dropdown-menu .dropdown-item {
  line-height: 2;
  color: #37434d;
}

.header-blue .navbar .dropdown-menu .dropdown-item:focus, .header-blue .navbar .dropdown-menu .dropdown-item:hover {
  background: #ebeff1;
}

.header-blue .action-button, .header-blue .action-button:not(.disabled):active {
  border: 1px solid rgba(255,255,255,0.7);
  border-radius: 40px;
  color: #ebeff1;
  box-shadow: none;
  text-shadow: none;
  padding: .3rem .8rem;
  background: transparent;
  transition: background-color 0.25s;
  outline: none;
}

.header-blue .action-button:hover {
  color: #fff;
}

.header-blue .navbar .form-inline label {
  color: #d9d9d9;
}

.header-blue .navbar .form-inline .search-field {
  display: inline-block;
  width: 80%;
  background: none;
  border: none;
  border-bottom: 1px solid transparent;
  border-radius: 0;
  color: #ccc;
  box-shadow: none;
  color: inherit;
  transition: border-bottom-color 0.3s;
}

.header-blue .navbar .form-inline .search-field:focus {
  border-bottom: 1px solid #ccc;
}

.header-blue .hero {
  margin-top: 20px;
  text-align: center;
}

@media (min-width:768px) {
  .header-blue .hero {
    margin-top: 60px;
    text-align: left;
  }
}

.header-blue .hero h1 {
  color: #fff;
  font-size: 40px;
  margin-top: 0;
  margin-bottom: 15px;
  font-weight: 300;
  line-height: 1.4;
}

@media (min-width:992px) {
  .header-blue .hero h1 {
    margin-top: 190px;
    margin-bottom: 24px;
    line-height: 1.2;
  }
}

.header-blue .hero p {
  color: rgba(255,255,255,0.8);
  font-size: 20px;
  margin-bottom: 30px;
  font-weight: 300;
}

.header-blue .phone-holder {
  text-align: right;
}

.header-blue div.iphone-mockup {
  position: relative;
  max-width: 300px;
  margin: 20px;
  display: inline-block;
}

.header-blue .iphone-mockup img.device {
  width: 100%;
  height: auto;
}

.header-blue .iphone-mockup .screen {
  position: absolute;
  width: 88%;
  height: 77%;
  top: 12%;
  border-radius: 2px;
  left: 6%;
  border: 1px solid #444;
  background-color: #aaa;
  overflow: hidden;
  background: url(../../assets/img/screen-content-iphone-6.jpg);
  background-size: cover;
  background-position: center;
}

.header-blue .iphone-mockup .screen:before {
  content: '';
  background-color: #fff;
  position: absolute;
  width: 70%;
  height: 140%;
  top: -12%;
  right: -60%;
  transform: rotate(-19deg);
  opacity: 0.2;
}

/* ============Contact=========== */

.contact-clean {
  background: #f1f7fc;
  padding: 80px 0;
}

@media (max-width:767px) {
  .contact-clean {
    padding: 20px 0;
  }
}

.contact-clean form {
  max-width: 480px;
  width: 90%;
  margin: 0 auto;
  background-color: #ffffff;
  padding: 40px;
  border-radius: 4px;
  color: #505e6c;
  box-shadow: 1px 1px 5px rgba(0,0,0,0.1);
}

@media (max-width:767px) {
  .contact-clean form {
    padding: 30px;
  }
}

.contact-clean h2 {
  margin-top: 5px;
  font-weight: bold;
  font-size: 28px;
  margin-bottom: 36px;
  color: inherit;
}

.contact-clean .form-group:last-child {
  margin-bottom: 5px;
}

.contact-clean form .form-control {
  background: #fff;
  border-radius: 2px;
  box-shadow: 1px 1px 1px rgba(0,0,0,0.05);
  outline: none;
  color: inherit;
  padding-left: 12px;
  height: 42px;
}

.contact-clean form .form-control:focus {
  border: 1px solid #b2b2b2;
}

.contact-clean form textarea.form-control {
  min-height: 100px;
  max-height: 260px;
  padding-top: 10px;
  resize: vertical;
}

.contact-clean form .btn {
  padding: 16px 32px;
  border: none;
  background: none;
  box-shadow: none;
  text-shadow: none;
  opacity: 0.9;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 13px;
  letter-spacing: 0.4px;
  line-height: 1;
  outline: none !important;
}

.contact-clean form .btn:hover {
  opacity: 1;
}

.contact-clean form .btn:active {
  transform: translateY(1px);
}

.contact-clean form .btn-primary {
  background-color: #055ada !important;
  margin-top: 15px;
  color: #fff;
}

/* ============Contact=========== */





.navbar-nav .nav-link{
  margin-right: 1rem !important;
  margin-left: 1rem !important;
}
.btn-success{
  background-color: var(--primer);
  margin: 5px 5px;
}

.box-event{
    background-color: var(--sekunder);
    width: 100%;
    height: 120px;
    padding: 30px 0;
    text-align: center;
    display: block;
}
.events{
  max-height: 60px;
  width: auto;
  max-width: 200px;
  margin: 0 10px;
}

/* Gray Img */

img.events {
  filter: grayscale(100%);
}
img.events:hover {
  filter: grayscale(0%);
}

body{
  width: 100%;
  overflow-x: hidden;
}

#top{
  padding-top: 85px;
}

#navcol-1 a {
  text-decoration: none;
  text-align: center;
  display: block;
  position: relative;
  transition: all 0.3s ease;
}
#navcol-1 a:hover {
  color: var(--primer);
}
#navcol-1 a::before {
  content: "";
  transition: all 0.4s ease-in-out;
  position: absolute;
  right: 100%;
  left: 0%;
  bottom: 0;
  height: 2px;
  background-color: var(--primer);
}
#navcol-1 a:hover::before {
  right: 0;
  left: 0;
}

.page_title{
  font-family: Nunito;
  font-style: normal;
  font-weight: bold;
}

.register-img{
  height: auto;
  background: url('/assets/img/code.jpg') no-repeat center top;
  background-size: cover;
  padding: 40px 20px;
}

.register-img-isic{
  height: auto;
  background: url('/assets/img/isic.jpg') no-repeat center top;
  background-size: cover;
  padding: 40px 20px;
}

.register-img-ctf{
  height: auto;
  background: url('/assets/img/ctf.jpg') no-repeat center top;
  background-size: cover;
  padding: 40px 20px;
}

.register-form{
  margin-right: 70px;
  margin-left: 70px;
  padding-top: 25px;
}

#reg-submit{
  width: 100%;
}

.img-fluid{
  min-height: 330px;
  width: auto;
  margin-bottom: 25px;
}


/* ======================== ctf transition ================================== */

.left-curtain, .right-curtain {
    width: 50%;
    height: 100%;
    background-color: #8B0000;
    background-image: url('https://idle2025.my.id/assets/img/korden.jpg');
    background-repeat: repeat; 
    background-size: auto; 
    transition: transform 1.5s cubic-bezier(0.86, 0, 0.07, 1);
    position: relative;
    overflow: hidden;
}

.left-curtain::after, .right-curtain::after {
    content: '';
    position: absolute;
    top: 0;
    width: 15px;
    height: 100%;
    background: linear-gradient(#FFD700, #DAA520);
    box-shadow: 0 0 10px rgba(0,0,0,0.5);
}

.left-curtain::after {
    right: 0;
}

.right-curtain::after {
    left: 0;
}

.left-curtain.open { transform: translateX(-100%); }
.right-curtain.open { transform: translateX(100%); }

/* ======================= isic transition ================================= */

.left-earth, .right-earth {
  width: 50%;
  height: 100%;
  background-color: #3D1C9A;
  background-image: url('https://idle2025.my.id/assets/img/earth.jpg');
  background-repeat: repeat;
  background-size: auto;
  transition: transform 1.5s cubic-bezier(0.86, 0, 0.07, 1);
  will-change: transform;
  overflow: hidden;
  position: relative;
}

.left-earth { transform: none; }
.left-earth.open  { transform: translateX(-100%); }

.right-earth { transform: scaleX(-1); }
.right-earth.open { transform: scaleX(-1) translateX(-100%); }
